## IAnjutaEditorGoto

IAnjutaEditorGoto — Text editor navigation interface

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_editor_goto_error_quark ()
void | ianjuta_editor_goto_end_block ()
void | ianjuta_editor_goto_matching_brace ()
void | ianjuta_editor_goto_start_block ()

## Types and Values

#define | IANJUTA_EDITOR_GOTO_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaEditorGoto

## Includes

    #include <libanjuta/interfaces/ianjuta-editor-goto.h>

## Description

## Functions

### ianjuta_editor_goto_error_quark ()

    GQuark
    ianjuta_editor_goto_error_quark (void);

### ianjuta_editor_goto_end_block ()

    void
    ianjuta_editor_goto_end_block (IAnjutaEditorGoto *obj,
                                   GError **err);

Moves cursor to the end of the current block

#### Parameters

obj | Self |
err | Error propagation and reporting |

### ianjuta_editor_goto_matching_brace ()

    void
    ianjuta_editor_goto_matching_brace (IAnjutaEditorGoto *obj,
                                        GError **err);

Moves cursor to matching brace

#### Parameters

obj | Self |
err | Error propagation and reporting |

### ianjuta_editor_goto_start_block ()

    void
    ianjuta_editor_goto_start_block (IAnjutaEditorGoto *obj,
                                     GError **err);

Moves cursor to the start of the current block

#### Parameters

obj | Self |
err | Error propagation and reporting |

## Types and Values

### IANJUTA_EDITOR_GOTO_ERROR

    #define IANJUTA_EDITOR_GOTO_ERROR ianjuta_editor_goto_error_quark()